var check = require('check-types');

function report(available) {
    check.verify.array(available, 'expect an array of info objects');
    if (!available.length) {
        console.log('nothing new is available');
        return;
    }

    console.log('\navailable versions');

    available.forEach(function (info) {
        check.verify.string(info.name, 'missing module name ' + info);
        check.verify.array(info.versions, 'missing module versions ' + info);
        var sep = ', ';
        if (info.versions.length > 5) {
            sep = '\n  ';
        }
        console.log(info.name, ': ', info.versions.join(sep));
    });
}

module.exports = report;